From 879f2767224d79fd9b8636b0893f6a99483c98df Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Mon, 2 Sep 2024 23:18:46 +0200
Subject: [PATCH] Make all KF5 and Qt5 modules optional, disable all subdirs
 except kdesu

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index fad18a81..6356d0c7 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -28,7 +28,7 @@ include(ECMDeprecationSettings)
 
 include(KDEGitCommitHooks)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG COMPONENTS
     Widgets
     Svg
     DBus
@@ -44,7 +44,7 @@ if (NOT Qt${QT_MAJOR_VERSION}Test_FOUND)
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS
     Config
     DocTools
     IconThemes
@@ -87,31 +87,31 @@ function(install_compat_symlink executable_target)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${executable_target}5 DESTINATION ${KDE_INSTALL_FULL_BINDIR})
 endfunction()
 
-add_subdirectory(kcmshell)
-add_subdirectory(keditfiletype)
-add_subdirectory(kmimetypefinder)
-if (QT_MAJOR_VERSION EQUAL "5")
-    add_subdirectory(ktraderclient)
-endif()
-add_subdirectory(kioclient)
-add_subdirectory(ksvgtopng)
-add_subdirectory(kdeinhibit)
-add_subdirectory(plasma-open-settings)
-add_subdirectory(kinfo)
-
-if(Qt5X11Extras_FOUND)
-    add_subdirectory(kstart)
-endif()
+#add_subdirectory(kcmshell)
+#add_subdirectory(keditfiletype)
+#add_subdirectory(kmimetypefinder)
+#if (QT_MAJOR_VERSION EQUAL "5")
+#    add_subdirectory(ktraderclient)
+#endif()
+#add_subdirectory(kioclient)
+#add_subdirectory(ksvgtopng)
+#add_subdirectory(kdeinhibit)
+#add_subdirectory(plasma-open-settings)
+#add_subdirectory(kinfo)
+
+#if(Qt5X11Extras_FOUND)
+#    add_subdirectory(kstart)
+#endif()
 
 
 if(KF5Su_FOUND)
     add_subdirectory(kdesu)
 endif()
 
-if(UNIX)
-    add_subdirectory(kdeeject)
-    add_subdirectory(kbroadcastnotification)
-endif()
+#if(UNIX)
+#    add_subdirectory(kdeeject)
+#    add_subdirectory(kbroadcastnotification)
+#endif()
 
 check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
 
-- 
2.46.0

